=== debian/changelog ===
akonadi (1.7.2-3) unstable; urgency=low

  * Team upload.
  * akonadi-backend-mysql: depend on a real mysql-server-core-5.5 before the
    virtual mysql-server-core. This should help apt in really choosing -mysql
    when upgrading from squeeze. (Closes: #686147, #702919)

 -- Pino Toscano <pino@debian.org>  Tue, 26 Mar 2013 20:02:38 +0100

akonadi (1.7.2-2) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Change [General] to [%General] in README.Debian (Closes: #688236).
    Thanks Alexander Wuerstlein for noticing.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Dec 2012 11:07:57 +0100

akonadi (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * Drop x11_not_required.diff, no longer needed as internal FindQt4 was
    dropped.
  * Disable tests which require an active DBus daemon. It is not available on
    buildds (patch disable_dbus_requiring_tests.diff).
  * Bump Standards-Version to 3.9.3: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 May 2012 23:41:01 +0300

akonadi (1.6.2-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ Sune Vuorela ]
  * Kill the odbc package. It won't currently work.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 05 Mar 2012 10:09:22 +0100

akonadi (1.6.2-1) experimental; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Add a watch file.
  * Use DEB_*_MAINT_APPEND instead of setting CFLAGS/CXXFLAGS.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 01 Dec 2011 17:18:06 +0100

akonadi (1.3.1-3+squeeze1) stable-proposed-updates; urgency=low

  * Add patch 04_socket_location.diff to allow akonadi-server to run when HOME
    is mounted to the network filesystem (Closes: #545139). Thanks to Ansgar
    Burchardt for the patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Apr 2011 12:50:31 +0300
