## akonadi 1.8.0

=== debian/changelog ===
akonadi (1.8.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:04:21 +0100

akonadi (1.7.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jul 2012 12:09:55 +0100

akonadi (1.7.2-1ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 May 2012 19:27:56 -0400

akonadi (1.7.2-0ubuntu2) quantal; urgency=low

  * No change rebuild for boost 1.49 transition

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 May 2012 20:28:00 +0100

akonadi (1.7.2-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Apr 2012 21:52:32 +0200

akonadi (1.7.0-0ubuntu3) precise; urgency=low

  * make akonadi-server require the mysql backend. It's the only one really
    supported upstream and as the default backend has to be installed.
    (LP: #923189)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 09 Apr 2012 18:49:42 +0200

akonadi (1.7.0-0ubuntu2) precise; urgency=low

  * Add build-dep on dh-apparmor (LP: #948481)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 08 Mar 2012 22:22:17 +0100

akonadi (1.7.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Remove x11_not_required.diff, file no longer shipped
  * Disable test suite in debian/rules, it requires dbus

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Jan 2012 23:43:13 +0000

akonadi (1.6.2-1ubuntu1) precise; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~".

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 04 Dec 2011 21:06:19 +0100

akonadi (1.6.2-0ubuntu3) precise; urgency=low

  * Change dependency on client/server to 5.5

 -- Clint Byrum <clint@ubuntu.com>  Sun, 27 Nov 2011 01:49:35 -0800

akonadi (1.6.2-0ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:49:27 -0800
