=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: akonadi
 Section: libs
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>,
  Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.12),
  libqt4-dev (>= 4:4.6.0), shared-mime-info, libmysqlclient-dev,
  libxslt-dev, libsoprano-dev (>= 2.1.1), xsltproc, libdbus-1-dev, libboost-program-options-dev,
- libsqlite3-dev
+ libsqlite3-dev, dh-apparmor
 Standards-Version: 3.9.3
 Homepage: http://pim.kde.org/akonadi
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/akonadi.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-req/akonadi.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
 
 Package: akonadi-server
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) |
- akonadi-backend-postgresql (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, akonadi-backend-mysql (= ${source:Version})
 Suggests: akonadi-backend-mysql (= ${binary:Version}), akonadi-backend-sqlite (= ${binary:Version}),
  akonadi-backend-postgresql (= ${source:Version})
 Description: Akonadi PIM storage service
@@ -57,7 +56,7 @@
 Package: akonadi-backend-mysql
 Section: misc
 Architecture: all
-Depends: ${misc:Depends}, mysql-server-core-5.5 | mysql-server-core, libqt4-sql-mysql
+Depends: ${misc:Depends}, mysql-server-core-5.5, mysql-client-core-5.5, libqt4-sql-mysql
 Recommends: akonadi-server
 Replaces: akonadi-server (<< 1.3.60~)
 Breaks: akonadi-server (<< 1.3.60~)
