## akonadi 1.8.1

=== debian/changelog ===
akonadi (1.8.1-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream bugfix release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 05 Nov 2012 22:33:47 +0100
