## akonadi 1.9.0

=== debian/changelog ===
akonadi (1.9.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 21:11:34 +0100

akonadi (1.8.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2012 15:16:10 +0000

akonadi (1.8.1-0ubuntu0.1~ppa2) quantal; urgency=low

  * New upstream bugfix release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 05 Nov 2012 22:33:47 +0100
