=== debian/changelog ===
akonadi (1.9.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Apr 2013 22:49:18 +0100
