## akonadi 1.10.3

=== debian/changelog ===
akonadi (1.10.3-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release (LP: #1236394)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 07 Oct 2013 16:39:34 +0200

akonadi (1.10.2-0ubuntu2) saucy; urgency=low

  * Set INSTALL_QSQLITE_IN_QT_PREFIX=TRUE so the sqlite3 driver is installed
    in a place where qt4 can find it (LP: #1218820)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Sep 2013 22:54:09 +0200

akonadi (1.10.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release (LP: #1218847)

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 30 Aug 2013 19:18:01 +0800

akonadi (1.10.1-0ubuntu1) saucy; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 23 Jul 2013 19:16:46 +0200

akonadi (1.9.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Update symbols
    - Install asapcat with akonadi-server for now
    - Install notificationmessagev2_p.h with -dev package
    - Refresh disable_dbus_requiring_tests.diff

  [ Philip Muškovac ]
  * libkonadi-dev needs to depend on akonadi-server for the dbus service 

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 13 Jun 2013 08:46:15 +0100

akonadi (1.9.1-2ubuntu1) saucy; urgency=low

  * Merge with debian experimental, remaining changes: 
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 30 Apr 2013 22:39:32 +0200

akonadi (1.9.1-2) experimental; urgency=low

  * Merge in the uploads to unstable.

 -- Sune Vuorela <sune@debian.org>  Tue, 02 Apr 2013 22:52:29 +0200

akonadi (1.9.1-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update disable_dbus_requiring_tests.diff; some tests were added and
    some of them need D-Bus.
  * Update installed files.

  [ Sune Vuorela ]
  * Add mysql-server-core to Build-Depends so it can be used by the test suite

 -- Sune Vuorela <sune@debian.org>  Mon, 25 Mar 2013 17:00:16 +0100

akonadi (1.9.1-0ubuntu2) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:39 +0100

akonadi (1.8.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Nov 2012 23:00:43 -0400
