=== debian/control ===
--- 
+++ 
@@ -43,7 +43,8 @@
 Package: libakonadi-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libakonadiprotocolinternals1 (= ${binary:Version}), libboost-dev
+Depends: ${misc:Depends}, libakonadiprotocolinternals1 (= ${binary:Version}),
+ libboost-dev, akonadi-server
 Suggests: pkg-config
 Description: development files for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
