=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 override_dh_auto_configure:
 	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
-	    -DCONFIG_INSTALL_DIR=/etc
+	    -DCONFIG_INSTALL_DIR=/etc \
+	    -DINSTALL_QSQLITE_IN_QT_PREFIX=TRUE
 
 override_dh_installdocs:
 	# Install README.Debian to backend packages
